
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #605

Audacious starts up with visible artifacts

December 15, 2015 11:17 - Davyd McColl

Status: Closed Start date: December 15, 2015

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: win32 Estimated time: 0.00 hour

Target version: 3.7.1   

Affects version: 3.7   

Description

When Audacious starts up on Windows, using the classic skins, I see artifacts on-screen. This only applies when the player

remembers a prior shaded state. Please see attached screenshot -- I don't think I'm explaining it well. Applies to latest download at

time of writing (3.7.2)

History

#1 - December 24, 2015 07:24 - John Lindgren

- Target version deleted (3.7.1)

- Affects version 3.7 added

- Affects version deleted (3.7.1)

It appears to be a bug in GTK+ on Windows.  If you find a fix, I'd be happy to include it.  Otherwise, this will eventually be fixed by the Qt port.

Also, please stop talking about versions that don't exist.  3.7 is the newest.  There is no 3.7.1 or 3.7.2 yet.

#2 - December 24, 2015 07:31 - Davyd McColl

Also, please stop talking about versions that don't exist.  3.7 is the newest.  There is no 3.7.1 or 3.7.2 yet.

 

Apologies -- I keep on getting muddled between the 3.6.x releases and 3.7 ):

I will try to build on Windows at some point -- I'd love to be more than just a bug reporter. I'm not a GTK guru though, so I wouldn't hold my breath for

a useful patch from me ):

#3 - December 24, 2015 12:36 - John Lindgren

I looked into this further and it appears to be actually due to a bug/undocumented feature of the Win32 API function SetWindowPos.  Incidentally, the

problem isn't reproducible under Wine, only actual Windows.  It's possible to work around it in GTK+.  I'm attaching a patched DLL which fixes the

problem for me.

#4 - December 24, 2015 12:37 - John Lindgren
- File libgdk-win32-2.0-0.dll added

#5 - December 24, 2015 13:25 - Davyd McColl

Excellent! Thanks! I'll give this a go when I reboot tonight (:

#6 - December 24, 2015 18:49 - Davyd McColl

This patched libgdk seems to do the trick for me (: Thanks for the time and effort to track the issue down and work around it (:

#7 - December 24, 2015 19:23 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.7.1

- % Done changed from 0 to 100

Files

audacious-startup.png 6.82 KBDecember 15, 2015 Davyd McColl

libgdk-win32-2.0-0.dll 672 KBDecember 24, 2015 John Lindgren
